# Class pyglet.text.formats.structured.UnorderedListBuilder

    ListBuilder --+
                  |
                 UnorderedListBuilder

## Methods

| __init__(self, mark) Create an unordered list with constant mark text.
str | get_mark(self, value) Get the mark text for the next list item.
| begin(self, decoder, style) Begin a list. (Inherited from pyglet.text.formats.structured.ListBuilder)
| item(self, decoder, style, value=None) Begin a list item. (Inherited from pyglet.text.formats.structured.ListBuilder)

## Method Details

### __init__

(Constructor) __init__(self, mark)
Create an unordered list with constant mark text.

Parameters:
  mark : str
    Mark to prepend to each list item.

### get_mark

get_mark(self, value)
Get the mark text for the next list item.

Returns: str
Overrides:
  ListBuilder.get_mark